Page MenuHomePhabricator

(3) 3 column responsive layout for categories so they render nicely on mobile
Closed, DuplicatePublic

Description

Currently, they're done with a 3 column table. Should be redone using divs or something.

As an example:
https://en.m.wikipedia.org/wiki/Category:All_articles_with_dead_external_links there is a 3 column table.

Switch the table into responsive HTML which appears as a single column list on mobile (around 320px resolution). At 768px it should restore to a three column list.

This resource may help:
https://developer.mozilla.org/en-US/docs/Web/Guide/CSS/Using_multi-column_layouts

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: Aklapper, Jdlrobson.
Jdlrobson renamed this task from (3) 3 column responsive layout for categories to (3) 3 column responsive layout for categories so they render nicely on mobile.Jan 20 2015, 9:49 PM
Jdlrobson set Security to None.
Jdlrobson moved this task from Incoming to 2015-16 Q4 on the Readers-Web-Backlog board.
Sumit added a subscriber: Sumit.Jan 27 2015, 5:08 AM

I would like to change the layout of categories to responsive HTML, but after going through the MobileFrontend extension, I seem to be unable to find the code where the table is generated in Categories. Any hint would be helpful.

The categories code should come from core directly, MobileFrontend doesn't change the output html of the page here :)

I think a good point to start would be the class CategoryPage, which direct you to the CategoryViewer class, which builds the HTML output of a category page :)

What Florian said!! :)
Note: the fix should make no visual difference to desktop.

gerritbot added a subscriber: gerritbot.

Change 187167 had a related patch set uploaded (by Sumit):
CategoryView modified to use css columns

https://gerrit.wikimedia.org/r/187167

Patch-For-Review

Change 187167 merged by jenkins-bot:
CategoryView modified to use css columns

https://gerrit.wikimedia.org/r/187167

bmansurov closed this task as Resolved.Jan 30 2015, 6:23 PM
bmansurov claimed this task.
Ricordisamoa removed a project: Patch-For-Review.
Ricordisamoa added a subscriber: Ricordisamoa.
bmansurov removed bmansurov as the assignee of this task.Jan 30 2015, 7:20 PM
Florian assigned this task to Sumit.Jan 30 2015, 7:24 PM

This causes a messed up display, see http://de.wikipedia.beta.wmflabs.org/wiki/Kategorie:Vorlage:f%C3%BCr_Vorlagen-Meister

The list-dots and the item can be on different lines or even different columns, the headings can appear at the end of the previous column, the "continuation"-headings are somewhere (not in this example, but in http://de.wikipedia.beta.wmflabs.org/w/index.php?title=Kategorie:Begriffskl%C3%A4rung&action=edit&redlink=1)

IMHO this should be reverted.

matmarex reopened this task as Open.Jan 31 2015, 11:07 AM
matmarex added a subscriber: matmarex.

Reopening, needs more work (and possibly a revert in the meantime). I posted a longer comment on the changeset.

By the way, this is a duplicate of T55130. @Jdlrobson, can you clean this up in a way that causes the least mess in the projects this is involved with?

Change 187900 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "CategoryView modified to use css columns"

https://gerrit.wikimedia.org/r/187900

Patch-For-Review

matmarex removed a subscriber: gerritbot.

Change 187900 merged by jenkins-bot:
Revert "CategoryView modified to use css columns"

https://gerrit.wikimedia.org/r/187900

Change 187952 had a related patch set uploaded (by Sumit):
CategoryView modified to use css columns

https://gerrit.wikimedia.org/r/187952

Patch-For-Review

Nnemo added a subscriber: Nnemo.Oct 3 2015, 9:41 AM